#
# spec file for package deadbeef-plugin-statusnotifier
#
# Copyright (c) 2016 Perepechin Vladimir <vovochka13@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   deadbeef-statusnotifier-plugin
Name:           deadbeef-plugin-statusnotifier
Version:        1.3
Release:        5.196
Summary:        Alternative tray icon for Plasma 5 DE
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            https://github.com/vovochka404/deadbeef-statusnotifier-plugin
Source0:        %{_name}-%{version}.tar.gz
BuildRequires:  cmake make gcc-c++
BuildRequires:  deadbeef-devel >= 0.6.2
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(dbusmenu-glib-0.4)
Requires:       deadbeef >= 0.6.2
Obsoletes:      %{_name} <= %{version}
Provides:       %{_name} = %{version}

%description
This plugin aims to implement the StatusNotifierItem D-Bus interface for
DeaDBeeF for more comfortable tray icon in Plasma 5 desktop or any other DEs,
that supports StatusSotifier protocol.

%prep
%setup -q -n %{_name}-%{version}

%build
%cmake -DUSE_GTK=OFF
%make_jobs

%install
%cmake_install


%files
%defattr(-,root,root)
%{_libdir}/deadbeef/*

%changelog
* Fri Feb 19 2016 vovochka13@gmail.com
- Spec file cleanups
* Thu Feb 18 2016 vovochka13@gmail.com
- version 1.3
* Fri Feb 05 2016 vovochka13@gmail.com
- Initial package.
